Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to Hide Planes & Sketches...

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
BeKirra
263 Views, 4 Replies

How to Hide Planes & Sketches...

Edit: Obviously I am talking about iLogic.

 

1st of all, I did a search in the forum and found threads discussed this topic.

However, my situation may be slightly different.

Here is what I am after.

  1. Looking for a way to untick all features in "Objects Visibility" in View tab (see snapshot below).
  2. Also hide those features mentioned above in locked files (e.g. they are not checked out from vault) in Assembly level.

Can it be done?

Thanks in advance.

 

BeKirra_1-1715640291090.png

 

 

Please mark "Accept as Solution" and "Like" if my reply resolves the issue and it will help when others need helps.
= ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ =
A circle is the locus of a cursor, starting and ending at the same point on a plane in model space or in layout such that its distance from a given coordinates (X,Y) is always constant.
X² + Y² = C²
4 REPLIES 4
Message 2 of 5
BM_Ashraf
in reply to: BeKirra

Hi @BeKirra 

Hope this code helps you to control the objects Visibility!

Dim oDoc As Document = ThisApplication.ActiveDocument
Dim oBJVis As ObjectVisibility = oDoc.ObjectVisibility
oBJVis.AllWorkFeatures = False
oBJVis.ConstructionSurfaces = False
oBJVis.Sketches = False
oBJVis.Sketches3D = False
oBJVis.SketchDimensions = False
oBJVis.Annotations3D = False

 

If this solved your problem, or answered your question, please click ACCEPT SOLUTION.

Blue Mech

Add-ins for Inventor!

Message 3 of 5
BeKirra
in reply to: BM_Ashraf

Thanks. It is great!

 

It'd be much helpful if the "Welds" and "Weldment Symbols" can also be unticked.

 

Please mark "Accept as Solution" and "Like" if my reply resolves the issue and it will help when others need helps.
= ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ =
A circle is the locus of a cursor, starting and ending at the same point on a plane in model space or in layout such that its distance from a given coordinates (X,Y) is always constant.
X² + Y² = C²
Message 4 of 5
BM_Ashraf
in reply to: BeKirra

Sure,

Dim oDoc As Document = ThisApplication.ActiveDocument
Dim oBJVis As ObjectVisibility = oDoc.ObjectVisibility
oBJVis.AllWorkFeatures = False
oBJVis.ConstructionSurfaces = False
oBJVis.Sketches = False
oBJVis.Sketches3D = False
oBJVis.SketchDimensions = False
oBJVis.Annotations3D = False
oBJVis.WeldmentSymbols = False
oBJVis.Welds = False
If this solved your problem, or answered your question, please click ACCEPT SOLUTION.

Blue Mech

Add-ins for Inventor!

Message 5 of 5
BeKirra
in reply to: BM_Ashraf

Thanks again. 😀

Please mark "Accept as Solution" and "Like" if my reply resolves the issue and it will help when others need helps.
= ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ =
A circle is the locus of a cursor, starting and ending at the same point on a plane in model space or in layout such that its distance from a given coordinates (X,Y) is always constant.
X² + Y² = C²

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Technology Administrators


Autodesk Design & Make Report